io.vertx.ext.web.openapi

## Class RouterBuilderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - io.vertx.ext.web.openapi.RouterBuilderException

- All Implemented Interfaces:
    Serializable

      public class RouterBuilderException
      extends RuntimeException

  Main class for router builder exceptions
  Author:
    Francesco Guardiani @slinkydeveloper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RouterBuilderException(String message, ErrorType type, Throwable cause)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RouterBuilderException` | `cannotFindParameterProcessorGenerator(JsonPointer pointer, JsonObject parameter)`
    `static RouterBuilderException` | `createBodyNotSupported(JsonPointer pointer)`
    `static RouterBuilderException` | `createErrorWhileGeneratingValidationHandler(String message, Throwable cause)`
    `static RouterBuilderException` | `createInvalidSpec(String message, Throwable cause)`
    `static RouterBuilderException` | `createInvalidSpec(Throwable cause)`
    `static RouterBuilderException` | `createInvalidSpecFile(String path, Throwable cause)`
    `static RouterBuilderException` | `createMissingSecurityHandler(String securitySchema)`
    `static RouterBuilderException` | `createMissingSecurityHandler(String securitySchema, String securityScope)`
    `static RouterBuilderException` | `createRouterBuilderInstantiationError(Throwable e, String url)`
    `static RouterBuilderException` | `createUnsupportedSpecFeature(String message)`
    `static RouterBuilderException` | `createWrongExtension(String message)`
    `ErrorType` | `type()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RouterBuilderException

          public RouterBuilderException(String message,
                                        ErrorType type,
                                        Throwable cause)

  - ### Method Detail

    - #### type

          public ErrorType type()

    - #### cannotFindParameterProcessorGenerator

          public static RouterBuilderException cannotFindParameterProcessorGenerator(JsonPointer pointer,
                                                                                     JsonObject parameter)

    - #### createBodyNotSupported

          public static RouterBuilderException createBodyNotSupported(JsonPointer pointer)

    - #### createInvalidSpec

          public static RouterBuilderException createInvalidSpec(String message,
                                                                 Throwable cause)

    - #### createInvalidSpec

          public static RouterBuilderException createInvalidSpec(Throwable cause)

    - #### createInvalidSpecFile

          public static RouterBuilderException createInvalidSpecFile(String path,
                                                                     Throwable cause)

    - #### createMissingSecurityHandler

          public static RouterBuilderException createMissingSecurityHandler(String securitySchema)

    - #### createMissingSecurityHandler

          public static RouterBuilderException createMissingSecurityHandler(String securitySchema,
                                                                            String securityScope)

    - #### createUnsupportedSpecFeature

          public static RouterBuilderException createUnsupportedSpecFeature(String message)

    - #### createWrongExtension

          public static RouterBuilderException createWrongExtension(String message)

    - #### createRouterBuilderInstantiationError

          public static RouterBuilderException createRouterBuilderInstantiationError(Throwable e,
                                                                                     String url)

    - #### createErrorWhileGeneratingValidationHandler

          public static RouterBuilderException createErrorWhileGeneratingValidationHandler(String message,
                                                                                           Throwable cause)

Copyright © 2022 Eclipse. All rights reserved.